SwordCollider2 = {}
SwordCollider2.__index = SwordCollider2

function SwordCollider2:Create(me)
	SetPower(me,2)
end

function SwordCollider2:Update(me)

	if GetLifetime(me) == 0
	then
		SetHealth(me,0)
	end
	
end

function SwordCollider2:Collide(me,you)
	x,y = GetPosition(you)
	y = y - 32
	CreateEmitter("Null", x,y)
	Smash(you,32*GetDirection(me),-12)
	PlaySoundEffect(3)
	AddOverSoul(10)
end